For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create container registry

Create a registry to hold container images or OCI compliant artifacts

  • "name" must have passed validation

  • "location" must be one of the available location IDs

  • "garbageCollectionSchedule" time and days of the week for runs

  • "features": "vulnerabilityScanning" default is enabled

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Body
Responses
201

The created container registry is returned with 'metadata.status' set to "BUSY".

application/json
post/registries
POST /containerregistries/registries HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "properties": {
    "garbageCollectionSchedule": {
      "days": [
        "Monday"
      ],
      "time": "01:23:00+00:00"
    },
    "location": "de/txl",
    "name": "my-registry",
    "features": {
      "vulnerabilityScanning": {
        "enabled": true,
        "properties": {}
      }
    },
    "apiSubnetAllowList": [
      "123.123.123.0/24"
    ]
  }
}
{
  "href": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "metadata": {
    "createdBy": "text",
    "createdByUserId": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "lastModifiedBy": "text",
    "lastModifiedByUserId": "text",
    "lastModifiedDate": "2026-01-01T00:00:00.000Z",
    "state": "text"
  },
  "properties": {
    "garbageCollectionSchedule": {
      "days": [
        "Monday"
      ],
      "time": "01:23:00+00:00"
    },
    "hostname": "my-registry.cr.ionos.com",
    "location": "de/txl",
    "name": "my-registry",
    "storageUsage": {
      "bytes": 1,
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "features": {
      "vulnerabilityScanning": {
        "enabled": true,
        "properties": {}
      }
    },
    "apiSubnetAllowList": [
      "123.123.123.0/24"
    ]
  },
  "type": "text"
}

Last updated

Was this helpful?